/Users/bernard/b20/bsoft/src/rwparam/rwgencode.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwparam/rwgencode.cpp - Library routines to read and write genetic codes.

SYNOPSIS

#include 'rwgencode.h'
#include 'rwstar.h'
#include 'mol_tags.h'
#include 'utilities.h'

  Functions
Bstring read_gencode_star (Bstring &propfile)
Bstring get_genetic_code (Bstring &filename)
Gets the genetic code from a parameter file.
int write_genetic_code (Bstring &filename, Bstring &gc)
Writing genetic code.
int index_from_codon (const char codon[3])
Gets the index associated with a specific codon.

  Variables
int verbose

Detailed Description

Library routines to read and write genetic codes.

Author:
    Bernard Heymann

Date:
    Created: 20030316

    Modified: 20080924

Definition in file rwgencode.cpp.

Function Documentation

  Bstring get_genetic_code (Bstring & filename)

Gets the genetic code from a parameter file.

Parameters:
    &filename file name (if empty, use a default file).

Returns:
    Bstring 64 character array of residues (+1 0 termination character).

Definition at line 26 of file rwgencode.cpp.

  int index_from_codon (const char codon[3])

Gets the index associated with a specific codon.

Parameters:
    *codon the codon.

Returns:
    int index.

Definition at line 112 of file rwgencode.cpp.

  Bstring read_gencode_star (Bstring & propfile)

Definition at line 67 of file rwgencode.cpp.

  int write_genetic_code (Bstring & filename, Bstring & gc)

Writing genetic code.

Parameters:
    &filename file name.
    &gc 64-byte string with the genetic code.

Returns:
    int 0.

Definition at line 61 of file rwgencode.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.